import getopt
import os
import sys

def usage():
    """
    Function that print usages informations for this program.
    """
    print """
Usage: exec.py <script_file> [<script_files>]
Options:
    -h, --help               Print this help message
"""

if __name__ == "__main__":
    try:
        opts, args = getopt.getopt(sys.argv[1:], 'h', ['help'])
    except getopt.error, err:
        usage()
        sys.exit(2)
    
    for o, a in opts:
        if o in ('-h', '--help'):
            usage()
            sys.exit(0)
        else:
            assert False, "unhandled option"
    
    scripts = sys.argv[1:]
    
    if (len(scripts) == 0):
        usage()
        sys.exit(2)

    for i, script_filename in enumerate(scripts):
        script_file = open(script_filename)
        script_commands = script_file.read().split("\n")
        for i, command in enumerate(script_commands):
            print "executing command: " + command 
            os.system("python " + command)
            print "finish command: " + command 